Wayland Library Init and Shutdown Functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Wayland Library Init and Shutdown Functions
Ecore » Ecore_Wl2 - Wayland integration

Functions that start and shutdown the Ecore Wl2 Library. More...

## Functions
EAPI int | ecore_wl2_init (void)
| Initialize the Ecore_Wl2 library. More...
EAPI int | ecore_wl2_shutdown (void)
| Shutdown the Ecore_Wl2 Library. More...

## Detailed Description

Functions that start and shutdown the Ecore Wl2 Library.

## Function Documentation

EAPI int ecore_wl2_init | ( | void |  | ) |

Initialize the Ecore_Wl2 library.

Returns
  The number of times the library has been initialized without being shutdown. 0 is returned if an error occurs.

Since
  1.17

References ecore_event_init(), ecore_event_type_new(), ecore_init(), ecore_shutdown(), ECORE_WL2_EVENT_DATA_SOURCE_CANCELLED, ECORE_WL2_EVENT_DATA_SOURCE_SEND, ECORE_WL2_EVENT_DATA_SOURCE_TARGET, ECORE_WL2_EVENT_DND_DROP, ECORE_WL2_EVENT_DND_END, ECORE_WL2_EVENT_DND_ENTER, ECORE_WL2_EVENT_DND_LEAVE, ECORE_WL2_EVENT_DND_MOTION, ECORE_WL2_EVENT_FOCUS_IN, ECORE_WL2_EVENT_FOCUS_OUT, ECORE_WL2_EVENT_GLOBAL_REMOVED, ECORE_WL2_EVENT_SELECTION_DATA_READY, ECORE_WL2_EVENT_SYNC_DONE, ECORE_WL2_EVENT_WINDOW_CONFIGURE, eina_init(), eina_log_domain_register(), eina_log_domain_unregister(), EINA_LOG_ERR, eina_shutdown(), and ERR.

EAPI int ecore_wl2_shutdown | ( | void |  | ) |

Shutdown the Ecore_Wl2 Library.

Returns
  The number of times the library has been initialized without being shutdown.

Since
  1.17

References ecore_event_shutdown(), ecore_shutdown(), ECORE_WL2_EVENT_DATA_SOURCE_CANCELLED, ECORE_WL2_EVENT_DATA_SOURCE_SEND, ECORE_WL2_EVENT_DATA_SOURCE_TARGET, ECORE_WL2_EVENT_DND_DROP, ECORE_WL2_EVENT_DND_END, ECORE_WL2_EVENT_DND_ENTER, ECORE_WL2_EVENT_DND_LEAVE, ECORE_WL2_EVENT_DND_MOTION, ECORE_WL2_EVENT_FOCUS_IN, ECORE_WL2_EVENT_FOCUS_OUT, ECORE_WL2_EVENT_GLOBAL_REMOVED, ECORE_WL2_EVENT_SELECTION_DATA_READY, ECORE_WL2_EVENT_SYNC_DONE, ECORE_WL2_EVENT_WINDOW_CONFIGURE, eina_log_domain_unregister(), eina_shutdown(), and ERR.